Subject: Re: [PATCH 2/3] powerpc: Instrument Hypervisor Calls: add wrappers

From: Mike Kravetz <[email-masked]>
Date: Thu, 15 Jun 2006 07:58:26 -0700

On Thu, Jun 15, 2006 at 01:09:39PM +0200, Arnd Bergmann wrote:
> On Thursday 15 June 2006 01:52, Mike Kravetz wrote:
> > I'm really wondering what would be the best way to make these stats
> > available to userspace.  As mentioned, putting them into sysfs would
> > violate the one value/one file rule.  The use of /proc is discouraged.
> > debugfs was mentioned, but I have never used it.  Noticed that debugfs
> > was enabled in the default config (at least for pseries).  Looks like
> > that would be the best alternative.  Agree?
> 
> Debugfs sounds good. If you use one file per hcall, it's probably as
> easy as

But does debugfs have the same one value/one file rule?  Thought I could
dump all the data in a single debugfs file.

-- 
Mike